---
schema_version: "1"
id: 1ef50e3c0a8caf9ebf094fe2369d1665d0bf9742780efd86b524ccb9e88e3ed2
title: Post /interaction/v1/interactions/contactexit
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/interactionContactExitRequest.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/interactionContactExitRequest.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 616daee5fded5354df7f11f0c13666ac6c535d4218053dbfd8df34c6e8227bcb
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# Post /interaction/v1/interactions/contactexit

## Overview

Removes up to 50 contacts from a journey or from one or more versions of a journey.

## JSON Parameters

| Name              | Type   |            | Description                                                                                                     |
| ----------------- | ------ | ---------- | --------------------------------------------------------------------------------------------------------------- |
| **ContactKey**    | string | `Required` | ID that uniquely identifies a subscriber or contact. Include a single contact or an array of up to 50 contacts. |
| **DefinitionKey** | string | `Required` | Customer Key that uniquely identifies the journey. This key is the same for all versions of the journey.        |
| **Versions**      | array  |            | One or more versions of a journey from which to remove a contact.                                               |

## Responses

| Status  | Name           | Type   | Description                                                                      |
| ------- | -------------- | ------ | -------------------------------------------------------------------------------- |
| **202** | &nbsp;         | &nbsp; | \*\*\*\*                                                                         |
| &nbsp;  | errors         | array  | List of errors for request to remove a contact from a journey                    |
| &nbsp;  | contactKey     | string | Contact that needs to be removed from a journey                                  |
| &nbsp;  | definitionKey  | string | Definition key of the journey                                                    |
| &nbsp;  | status         | array  | Array of statuses of the contact in a given journey                              |
| &nbsp;  | status.version | string | Version number of the journey                                                    |
| &nbsp;  | status.message | string | Status of the request to remove a contact from a specific version of the journey |

## Usage

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /interaction/v1/interactions/contactexit
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

[
	{
		"ContactKey": "CONTACTKEY 1",
		"DefinitionKey": "DEFINITIONKEY"
	},
	{
		"ContactKey": "CONTACTKEY 2",
		"DefinitionKey": "INVALID DEFINITIONKEY",
		"Versions" :[1,2]
	}
]
```

### Example Response without Errors

```js
HTTP/1.1 202 Accepted
{
    "errors": []
}
```

### Example Response with Errors

```js
HTTP/1.1 202 Accepted
{
    "errors": [
        {
            "contactKey": "CONTACTKEY 2",
            "definitionKey": "INVALID DEFINITIONKEY",
            "status": [
                {
                    "version": 1,
                    "message": "Exit request Ignored - Invalid Interaction Name."
                }
            ]
        }
    ]
}
```
